/* sebum.m,
 *
 * The most basic of all Seborrhea objects: Sebum.  Containers,
 * animations, images, sounds, etc are all sub-classes of this.
 */

#include <stdlib.h>
#include "seborrhea/sebum.h"


@implementation Sebum
- initWithName: (const char *)name_
{
    [self init];
    name = strdup(name_);
    return self;
}

- init
{
    [super init];
    name = NULL;
    return self;
}

- (void) dealloc
{
    if (name) {
	free(name);
	name = NULL;
    }
    [super dealloc];
    return;
}

- (const char *) name
{
    return name;
}
@end
